# Generated by Django 3.2.22 on 2024-03-25 16:31

import django.utils.timezone
from django.db import migrations, models

import model_utils.fields


class Migration(migrations.Migration):

    dependencies = [
        ('taxonomy', '0035_auto_20231013_0324'),
    ]

    operations = [
        migrations.CreateModel(
            name='SkillValidationConfiguration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('course_key', models.CharField(blank=True, help_text='The course, for which skill validation is disabled.', max_length=255, null=True, unique=True)),
                ('organization', models.CharField(blank=True, help_text='The organization, for which skill validation is disabled.', max_length=255, null=True, unique=True)),
            ],
            options={
                'verbose_name': 'Skill Validation Configuration',
                'verbose_name_plural': 'Skill Validation Configurations',
            },
        ),
        migrations.AddConstraint(
            model_name='skillvalidationconfiguration',
            constraint=models.CheckConstraint(check=models.Q(models.Q(('course_key__isnull', False), ('organization__isnull', True)), models.Q(('course_key__isnull', True), ('organization__isnull', False)), _connector='OR'), name='either_course_or_org'),
        ),
    ]
